/*
 $Id: AccountDlg.h,v 1.5 2002/05/25 02:42:20 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_ACCOUNTDLG_H__DF6204E3_DD7F_11D3_A38A_00805FD91B8C__INCLUDED_)
#define AFX_ACCOUNTDLG_H__DF6204E3_DD7F_11D3_A38A_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AccountDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAccountDlg dialog

class CAccountDlg : public CDialog
{
// Construction
public:
	CAccountDlg(CWnd* pParent = NULL);   // standard constructor
	~CAccountDlg();

// Dialog Data
	//{{AFX_DATA(CAccountDlg)
	enum { IDD = IDD_ACCOUNT_DLG };
	CButton	m_cbOK;
	CButton	m_cbCancel;
	CStatic	m_csLabel9;
	CStatic	m_csLabel8;
	CStatic	m_csLabel7;
	CStatic	m_csLabel6;
	CStatic	m_csLabel5;
	CStatic	m_csLabel4;
	CStatic	m_csLabel3;
	CStatic	m_csLabel2;
	CStatic	m_csLabel15;
	CStatic	m_csLabel14;
	CStatic	m_csLabel13;
	CStatic	m_csLabel12;
	CStatic	m_csLabel11;
	CStatic	m_csLabel10;
	CStatic	m_csLabel1;
	CStatic	m_csQueue;
	CButton	m_cbParam;
	CButton	m_cbNew;
	CButton	m_cbDelete;
	CStatic	m_csFirstIP;
	CEdit	m_ceComment;
	CListBox	m_clbUpdates;
	CStatic	m_csTime;
	CEdit	m_cePassword;
	CListBox	m_clbPriv;
	CComboBox	m_ccbLevel;
	CStatic	m_csUID;
	CStatic	m_csLastTime;
	CStatic	m_csLastIP;
	CStatic	m_csLastDate;
	CEdit	m_ceLang;
	CStatic	m_csFirstDate;
	CStatic	m_csFailures;
	CEdit	m_ceEmail;
	CEdit	m_ceChat;
	CListBox	m_clbAcctList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAccountDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void RepositionWindow(CWnd * pWnd, CRect rect, int dx, int dy);
	void TouchAccount();
	bool m_bIsChanging;
	void Load();
	void Unload();

	CRect m_crOriginal;
	CRect m_crOK, m_crCancel, m_crQueue, m_crParam, m_crNew, m_crDelete, m_crFirstIP, m_crComment;
	CRect m_crUpdates, m_crTime, m_crPassword, m_crPriv, m_crLevel, m_crUID, m_crLastTime, m_crLastIP;
	CRect m_crLastDate, m_crLang, m_crFirstDate, m_crFailures, m_crEmail, m_crChat, m_crAcctList;
	CRect m_crLabel1, m_crLabel2, m_crLabel3, m_crLabel4, m_crLabel5, m_crLabel6, m_crLabel7, m_crLabel8;
	CRect m_crLabel9, m_crLabel10, m_crLabel11, m_crLabel12, m_crLabel13, m_crLabel14, m_crLabel15; 


	// Generated message map functions
	//{{AFX_MSG(CAccountDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnNewacct();
	afx_msg void OnDeleteacct();
	afx_msg void OnOk();
	virtual void OnCancel();
	afx_msg void OnSelchangeAcctList();
	afx_msg void OnChangeAcctchat();
	afx_msg void OnChangeAcctemail();
	afx_msg void OnChangeAcctlang();
	afx_msg void OnSelchangeAcctlevel();
	afx_msg void OnSelchangeAcctpriv();
	afx_msg void OnChangeAcctpwd();
	afx_msg void OnChangeChatcomment();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ACCOUNTDLG_H__DF6204E3_DD7F_11D3_A38A_00805FD91B8C__INCLUDED_)
