/*
 $Id: DefEditDlg.h,v 1.3 2002/05/01 03:33:09 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_DEFEDITDLG_H__CE8B17F1_4F35_11D3_872C_00805FD91B8C__INCLUDED_)
#define AFX_DEFEDITDLG_H__CE8B17F1_4F35_11D3_872C_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DefEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDefEditDlg dialog

class CDefEditDlg : public CDialog
{
// Construction
public:
	void SetDef(DWORD dwID, CString csDef = "", CString csGroup = "");
	bool m_bDecimal;
	CDefEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDefEditDlg)
	enum { IDD = IDD_DEFEDIT_DLG };
	CButton	m_cbType;
	CButton	m_cbSave;
	CComboBox	m_ccbDefGroup;
	CEdit	m_ceDefName;
	CEdit	m_ceDefID;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDefEditDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString m_csOldDef;
	CString m_csGroup;
	CString m_csDef;
	DWORD m_dwID;

	// Generated message map functions
	//{{AFX_MSG(CDefEditDlg)
	afx_msg void OnDefhex();
	afx_msg void OnDefdec();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEFEDITDLG_H__CE8B17F1_4F35_11D3_872C_00805FD91B8C__INCLUDED_)
