/*
 $Id: MacroDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_MACRODLG_H__04150547_6605_11D3_8732_00805FD91B8C__INCLUDED_)
#define AFX_MACRODLG_H__04150547_6605_11D3_8732_00805FD91B8C__INCLUDED_

#include "StdAfx.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MacroDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMacroDlg dialog

class CMacroDlg : public CPropertyPage
{
		DECLARE_DYNCREATE(CMacroDlg)
// Construction
public:
	CMacro * m_pMacro;
	CSequence * m_pSequence;
	bool m_bRun;
	virtual ~CMacroDlg();
	CMacroDlg();   // standard constructor
	void EnableList( bool bEnable );
	void EnableEdits( bool bEnable );
	bool m_bText;

// Dialog Data
	//{{AFX_DATA(CMacroDlg)
	enum { IDD = IDD_MACRO_DLG };
	CButton	m_cbCancel;
	CButton	m_cbRunMacro;
	CButton	m_cbNewMacro;
	CButton	m_cbEditMacro;
	CButton	m_cbDeleteMacro;
	CButton	m_cbAddText;
	CButton	m_cbAddSleep;
	CButton	m_cbAddKey;
	CButton	m_cbSave;
	CEdit	m_ceMacroName;
	CButton	m_cbRepeat;
	CListBox	m_clbMacros;
	CEdit	m_ceKey;
	CEdit	m_ceSleep;
	CEdit	m_ceText;
	CListBox	m_clbCmdList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMacroDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString CmdToString( CString csCmd );
	void LoadMacro(CString csName);

	// Generated message map functions
	//{{AFX_MSG(CMacroDlg)
	afx_msg void OnMacroAddKey();
	afx_msg void OnMacroAddText();
	afx_msg void OnEditMacro();
	afx_msg void OnDeleteMacro();
	afx_msg void OnRunMacro();
	afx_msg void OnNewMacro();
	afx_msg void OnMacroAddSleep();
	afx_msg void OnSaveMacro();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeMacroList();
	afx_msg void OnCancelEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

UINT MacroThread(LPVOID lpData);

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MACRODLG_H__04150547_6605_11D3_8732_00805FD91B8C__INCLUDED_)
