/*
 $Id: PotionEdit.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_POTIONEDIT_H__B54FCF46_E87C_11D3_A38A_00805FD91B8C__INCLUDED_)
#define AFX_POTIONEDIT_H__B54FCF46_E87C_11D3_A38A_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PotionEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPotionEdit dialog

class CPotionEdit : public CDialog
{
// Construction
public:
	virtual ~CPotionEdit();
	CPotionEdit(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPotionEdit)
	enum { IDD = IDD_POTIONEDIT };
	CEdit	m_ceSkillRequired;
	CEdit	m_ceReagentAmount;
	CComboBox	m_ccbReagent;
	CComboBox	m_ccbItem;
	CComboBox	m_ccbEntry;
	CStatic	m_csPalette;
	CEdit	m_ceColour;
	CEdit	m_ceName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPotionEdit)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	WORD m_wColorIndex;
	void UpdateSpectrum();
	CTPotionDef * m_pCurrentPotion;
	void FillData();

	// Generated message map functions
	//{{AFX_MSG(CPotionEdit)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangePotioncolour();
	afx_msg void OnPotioncolourpalette();
	afx_msg void OnSelchangePotionentry();
	afx_msg void OnPaint();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POTIONEDIT_H__B54FCF46_E87C_11D3_A38A_00805FD91B8C__INCLUDED_)
