/*
 $Id: RemoteFileDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_REMOTEFILEDLG_H__E95857F2_7E8C_4C67_B5AE_C3A9B9D5AB9A__INCLUDED_)
#define AFX_REMOTEFILEDLG_H__E95857F2_7E8C_4C67_B5AE_C3A9B9D5AB9A__INCLUDED_

#include "RemoteConnection.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RemoteFileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRemoteFileDlg dialog

class CRemoteFileDlg : public CDialog
{
// Construction
public:
	CRemoteFileDlg(CWnd* pParent = NULL);   // standard constructor
	CString m_csPath;
	CString m_csFilename;
	CString m_csRemoteFile;

// Dialog Data
	//{{AFX_DATA(CRemoteFileDlg)
	enum { IDD = IDD_REMOTEFILEDLG };
	CListCtrl	m_clcList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRemoteFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void PopulateList();
	// Generated message map functions
	//{{AFX_MSG(CRemoteFileDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDblclkRmtfiles(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REMOTEFILEDLG_H__E95857F2_7E8C_4C67_B5AE_C3A9B9D5AB9A__INCLUDED_)
