/*
 $Id: SupportDlg.h,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_SUPPORTDLG_H__C3B11F5B_B4D6_4C17_8D06_3FBDB339C7DC__INCLUDED_)
#define AFX_SUPPORTDLG_H__C3B11F5B_B4D6_4C17_8D06_3FBDB339C7DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SupportDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSupportDlg dialog

class CSupportDlg : public CDialog
{
// Construction
public:
	CSupportDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSupportDlg)
	enum { IDD = IDD_SUPPORT_DLG };
	CStatic	m_csStatus;
	CEdit	m_ceEmail;
	CEdit	m_ceProblem;
	CButton	m_cbIncludeLogs;
	CString	m_csEmail;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSupportDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	enum SMTP_COMMANDS
	{
		SMTP_HELO,
		SMTP_MAIL,
		SMTP_RCPT,
		SMTP_DATA,
		SMTP_SENDDATA,
		SMTP_QUIT,
		SMTP_QTY
	};

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSupportDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SUPPORTDLG_H__C3B11F5B_B4D6_4C17_8D06_3FBDB339C7DC__INCLUDED_)
