/*
 $Id: addserver.cpp,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// AddServer.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "AddServer.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddServer dialog


CAddServer::CAddServer(CWnd* pParent /*=NULL*/)
	: CDialog(CAddServer::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddServer)
	m_csServerName = _T("");
	m_csServerIP = _T("");
	m_csServerPort = _T("");
	//}}AFX_DATA_INIT
}


void CAddServer::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddServer)
	DDX_Text(pDX, IDC_NEWSERVERNAME, m_csServerName);
	DDX_Text(pDX, IDC_NEWSERVERIP, m_csServerIP);
	DDX_Text(pDX, IDC_NEWSERVERPORT, m_csServerPort);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddServer, CDialog)
	//{{AFX_MSG_MAP(CAddServer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddServer message handlers

void CAddServer::OnOK() 
{
	UpdateData(true);	
	CDialog::OnOK();
}
