/*
 $Id: drewskyps.h,v 1.4 2002/05/28 22:08:40 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_DREWSKYPS_H__DFB29CF3_D431_11D2_A613_004F4905E937__INCLUDED_)
#define AFX_DREWSKYPS_H__DFB29CF3_D431_11D2_A613_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DrewskyPS.h : header file
//

BOOL CALLBACK HideButtonsProc(HWND hWnd, LPARAM lParam);

/////////////////////////////////////////////////////////////////////////////
// CDrewskyPS

class CDrewskyPS : public CPropertySheet
{
	DECLARE_DYNAMIC(CDrewskyPS)

// Construction
public:
	CDrewskyPS(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CDrewskyPS(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrewskyPS)
	public:
	virtual void WinHelp(DWORD dwData, UINT nCmd = HELP_CONTEXT);
	virtual BOOL OnInitDialog();
	protected:
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	void UpdateTip();
	void ReloadScripts();
	NOTIFYICONDATA m_nid;
	 CDrewskyPS();
	HICON m_hIcon;
	virtual ~CDrewskyPS();

	// Generated message map functions
protected:
	bool m_bInit;
	//{{AFX_MSG(CDrewskyPS)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DREWSKYPS_H__DFB29CF3_D431_11D2_A613_004F4905E937__INCLUDED_)
