/*
 $Id: foodtypeeditdlg.cpp,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// FoodTypeEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "FoodTypeEditDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFoodTypeEditDlg dialog


CFoodTypeEditDlg::CFoodTypeEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFoodTypeEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFoodTypeEditDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFoodTypeEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFoodTypeEditDlg)
	DDX_Control(pDX, IDC_FOODTYPE_NAME, m_ceFoodTypeName);
	DDX_Control(pDX, IDC_FOODTYPE_BITES, m_ceFoodTypeBites);
	DDX_Control(pDX, IDC_FOODTYPE_AMOUNT, m_ceFoodTypeAmount);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFoodTypeEditDlg, CDialog)
	//{{AFX_MSG_MAP(CFoodTypeEditDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFoodTypeEditDlg message handlers

void CFoodTypeEditDlg::OnOK() 
{
	CWaitCursor hourglass;
	this->m_ceFoodTypeAmount.GetWindowText(m_csAmount);
	this->m_ceFoodTypeBites.GetWindowText(m_csBites);
	
	CDialog::OnOK();
}

BOOL CFoodTypeEditDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_csAmount.TrimLeft();
	m_csAmount.TrimRight();
	m_csBites.TrimLeft();
	m_csBites.TrimRight();

	this->m_ceFoodTypeName.SetWindowText(m_csName);
	this->m_ceFoodTypeAmount.SetWindowText(m_csAmount);
	this->m_ceFoodTypeBites.SetWindowText(m_csBites);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
