/*
 $Id: launchertab.h,v 1.3 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_LAUNCHERTAB_H__DFB29CF8_D431_11D2_A613_004F4905E937__INCLUDED_)
#define AFX_LAUNCHERTAB_H__DFB29CF8_D431_11D2_A613_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LauncherTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLauncherTab dialog

class CLauncherTab : public CPropertyPage
{
	DECLARE_DYNCREATE(CLauncherTab)

// Construction
public:
	bool m_bEditContext;
	CLauncherTab();
	~CLauncherTab();

// Dialog Data
	//{{AFX_DATA(CLauncherTab)
	enum { IDD = IDD_LAUNCHER_TAB };
	CButton	m_cbBrowse;
	CEdit	m_ceClient;
	CButton	m_cbEdit;
	CButton	m_cbNew;
	CButton	m_cbLaunch;
	CButton	m_cbDelete;
	CButton	m_cbDone;
	CButton	m_cbCancel;
	CEdit	m_cePort;
	CEdit	m_cePassword;
	CEdit	m_ceName;
	CEdit	m_ceIPAddress;
	CListBox	m_clbAccountList;
	CEdit	m_ceAccount;
	CStatic	m_csClientLoc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CLauncherTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CLauncherTab)
	virtual BOOL OnInitDialog();
	afx_msg void OnNew();
	afx_msg void OnCancel();
	afx_msg void OnDone();
	afx_msg void OnSelchangeAccountList();
	afx_msg void OnDelete();
	afx_msg void OnLaunch();
	afx_msg void OnEditacct();
	afx_msg void OnClientbrowse();
	afx_msg void OnChangeclient();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAUNCHERTAB_H__DFB29CF8_D431_11D2_A613_004F4905E937__INCLUDED_)
