/*
 $Id: UOArtPpg.h,v 1.2 2002/05/01 03:42:32 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 2000-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_UOARTPPG_H__ADD0A430_431A_4A21_AB4E_874B76BCD90A__INCLUDED_)
#define AFX_UOARTPPG_H__ADD0A430_431A_4A21_AB4E_874B76BCD90A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// UOArtPpg.h : Declaration of the CUOArtPropPage property page class.

////////////////////////////////////////////////////////////////////////////
// CUOArtPropPage : See UOArtPpg.cpp.cpp for implementation.

class CUOArtPropPage : public COlePropertyPage
{
	DECLARE_DYNCREATE(CUOArtPropPage)
	DECLARE_OLECREATE_EX(CUOArtPropPage)

// Constructor
public:
	CUOArtPropPage();

// Dialog Data
	//{{AFX_DATA(CUOArtPropPage)
	enum { IDD = IDD_PROPPAGE_UOART };
	CComboBox	m_ccbType;
	DWORD	m_dwArtIndex;
	int		m_iArtType;
	DWORD	m_dwColor;
	long	m_xOffset;
	long	m_yOffset;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Message maps
protected:
	//{{AFX_MSG(CUOArtPropPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UOARTPPG_H__ADD0A430_431A_4A21_AB4E_874B76BCD90A__INCLUDED)
