#if !defined(AFX_ADDITIONALSETTINGSDLG_H__3DEA5C6A_693B_47A9_834D_DB6297F788C1__INCLUDED_)
#define AFX_ADDITIONALSETTINGSDLG_H__3DEA5C6A_693B_47A9_834D_DB6297F788C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AdditionalSettingsDlg.h : header file
//

#include "RemoteConnection.h"

/////////////////////////////////////////////////////////////////////////////
// CAdditionalSettingsDlg dialog

class CAdditionalSettingsDlg : public CDialog
{
// Construction
public:
	CAdditionalSettingsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAdditionalSettingsDlg)
	enum { IDD = IDD_ADDITIONAL_SETTINGS };
	CButton	m_cbClientBrowse;
	CButton	m_cbMulPathFromClient;
	CListBox	m_clbProfiles;
	CButton	m_cbNewProfile;
	CButton	m_cbMulBrowse;
	CButton	m_cbEditProfile;
	CButton	m_cbDeleteProfile;
	CStatic	m_csDefaultMulPath;
	CStatic	m_csDefaultClient;
	CListCtrl	m_clcMuls;
	CTreeCtrl	m_ctcScripts;
	BOOL	m_b3DRoomView;
	BOOL	m_bDisplayItems;
	BOOL	m_bAlwaysOnTop;
	BOOL	m_bShowRadarMap;
	BOOL	m_bScaleItems;
	BOOL	m_bShowChars;
	BOOL	m_bShowSpawns;
	BOOL	m_bSpawnMessage;
	BOOL	m_bStartLauncher;
	BOOL	m_bSysClose;
	BOOL	m_bAllowMultiple;
	BOOL	m_bGodClient;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdditionalSettingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_iCurProfileSel;
	CImageList m_ilIcons;
	int m_iFolderIndex;
	int m_iDocIndex;
	HICON m_hDocIcon;
	HICON m_hFolderIcon;
	void ParseDirectory(LPCTSTR pszPath, HTREEITEM hNode, CStringArray * pSelections);
	void ParseRemoteDirectory(LPCTSTR pszPath, HTREEITEM hNode, CStringArray * pSelections, CRemoteConnection * pRemote);
	bool IsSelected(CStringArray * pSelections, CString csFile);
	void UpdateProfile();
	void GetSelections(HTREEITEM hNode, CString csRootDir, CStringArray * pSelections);
	void CheckChildren(HTREEITEM hNode, int check);

	// Generated message map functions
	//{{AFX_MSG(CAdditionalSettingsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAsProfiles();
	afx_msg void OnAsNewprofile();
	afx_msg void OnAsEditprofile();
	afx_msg void OnAsDeleteprofile();
	afx_msg void OnAsMulbrowse();
	afx_msg void OnAsClientbrowse();
	virtual void OnOK();
	afx_msg void OnChangeCustommuls(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAsUsesamepathasclient();
	afx_msg void OnAs3droomview();
	afx_msg void OnAsAllowmultiple();
	afx_msg void OnAsDisplayitems();
	afx_msg void OnAsOntop();
	afx_msg void OnAsRadar();
	afx_msg void OnAsScale();
	afx_msg void OnAsShowchars();
	afx_msg void OnAsShowspawns();
	afx_msg void OnAsSpawnmsg();
	afx_msg void OnAsStartlauncher();
	afx_msg void OnAsSysclose();
	afx_msg void OnAsGodclient();
	afx_msg void OnClickAsAvailablescripts(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg LRESULT OnTvCheckbox(WPARAM wp, LPARAM lp);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDITIONALSETTINGSDLG_H__3DEA5C6A_693B_47A9_834D_DB6297F788C1__INCLUDED_)
