/*
 $Id: AxisLogDlg.cpp,v 1.1 2002/07/17 19:10:56 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/
// AxisLogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "AxisLogDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAxisLogDlg property page

IMPLEMENT_DYNCREATE(CAxisLogDlg, CPropertyPage)


CAxisLogDlg::CAxisLogDlg(CWnd* pParent /*=NULL*/) : CPropertyPage(CAxisLogDlg::IDD)
{
	//{{AFX_DATA_INIT(CAxisLogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_bVisible = false;
}


void CAxisLogDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAxisLogDlg)
	DDX_Control(pDX, IDC_LOGWINDOW, m_ceLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAxisLogDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CAxisLogDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAxisLogDlg message handlers

void CAxisLogDlg::AddText(CString csText)
{
	if ( m_csText.GetLength() > 0 )
	{
		char crlf[3] = { 0x0d, 0x0a, 0x00 };
		m_csText += _T(crlf);
	}
	m_csText += csText;
}

BOOL CAxisLogDlg::OnSetActive() 
{
	m_ceLog.SetWindowText(m_csText);
	m_ceLog.SetSel(0, 0);
	return CPropertyPage::OnSetActive();
}
