/*
 $Id: EditorTab.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_EDITORTAB_H__1015F311_2272_11D3_8721_00805FD91B8C__INCLUDED_)
#define AFX_EDITORTAB_H__1015F311_2272_11D3_8721_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditorTab.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditorTab dialog

class CEditorTab : public CPropertyPage
{
	DECLARE_DYNCREATE(CEditorTab)

// Construction
public:
	CEditorTab();
	virtual ~CEditorTab();

// Dialog Data
	//{{AFX_DATA(CEditorTab)
	enum { IDD = IDD_EDITORTAB };
	CButton	m_cbRawEdit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CEditorTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CEditorTab)
	afx_msg void OnNameeditor();
	afx_msg void OnSkilleditor();
	afx_msg void OnNotoeditor();
	afx_msg void OnStatrateedit();
	afx_msg void OnSpelleditor();
	afx_msg void OnWopeditor();
	afx_msg void OnOreedit();
	afx_msg void OnDefedit();
	afx_msg void OnTriggeredit();
	afx_msg void OnNewbieedit();
	afx_msg void OnAccountedit();
	afx_msg void OnRawedit();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnPotionedit();
	afx_msg void OnSkillmenuedit();
	afx_msg void OnItemedit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITORTAB_H__1015F311_2272_11D3_8721_00805FD91B8C__INCLUDED_)
