/*
 $Id: MapCoordinatesDlg.cpp,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// MapCoordinatesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "MapCoordinatesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMapCoordinatesDlg dialog


CMapCoordinatesDlg::CMapCoordinatesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMapCoordinatesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMapCoordinatesDlg)
	m_iX = 0;
	m_iY = 0;
	//}}AFX_DATA_INIT
}


void CMapCoordinatesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMapCoordinatesDlg)
	DDX_Text(pDX, IDC_MC_X, m_iX);
	DDV_MinMaxInt(pDX, m_iX, 0, 6142);
	DDX_Text(pDX, IDC_MC_Y, m_iY);
	DDV_MinMaxInt(pDX, m_iY, 0, 4096);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMapCoordinatesDlg, CDialog)
	//{{AFX_MSG_MAP(CMapCoordinatesDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMapCoordinatesDlg message handlers

void CMapCoordinatesDlg::OnOK() 
{
	UpdateData(TRUE);	
	CDialog::OnOK();
}
