/*
 $Id: OreEditDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_OREEDITDLG_H__3E1B4D71_4A89_11D3_872C_00805FD91B8C__INCLUDED_)
#define AFX_OREEDITDLG_H__3E1B4D71_4A89_11D3_872C_00805FD91B8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OreEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COreEditDlg dialog

class COreEditDlg : public CDialog
{
// Construction
public:
	void CheckWeights();
	bool m_bDirtyFlag;
	COreEditDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COreEditDlg)
	enum { IDD = IDD_ORE_EDIT_DLG };
	CButton	m_cbSave;
	CEdit	m_ceOreIngot;
	CEdit	m_ceOreMax;
	CEdit	m_ceOreMin;
	CEdit	m_ceOreChance;
	CEdit	m_ceOreSkill;
	CEdit	m_ceOreColour;
	CEdit	m_ceOreName;
	CListCtrl	m_clcOreList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COreEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COreEditDlg)
	afx_msg void OnOreremove();
	afx_msg void OnOreadd();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OREEDITDLG_H__3E1B4D71_4A89_11D3_872C_00805FD91B8C__INCLUDED_)
