/*
 $Id: StaticArtCriteriaDlg.h,v 1.3 2002/05/01 03:33:10 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

//{{AFX_INCLUDES()
#include "uoart.h"
//}}AFX_INCLUDES
#if !defined(AFX_STATICARTCRITERIADLG_H__AE1CB8B8_9540_44DF_AC00_D5641E05DEF4__INCLUDED_)
#define AFX_STATICARTCRITERIADLG_H__AE1CB8B8_9540_44DF_AC00_D5641E05DEF4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticArtCriteriaDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStaticArtCriteriaDlg dialog

class CStaticArtCriteriaDlg : public CDialog
{
// Construction
public:
	~CStaticArtCriteriaDlg();
	CStaticArtCriteriaDlg(CWnd* pParent = NULL);   // standard constructor
	CString m_csTitle;

	CWordArray m_aSelections;

// Dialog Data
	//{{AFX_DATA(CStaticArtCriteriaDlg)
	enum { IDD = IDD_STATIC_ART_CRITERIA };
	CListBox	m_clbSelectList;
	CListBox	m_clbArtList;
	CUOArt	m_Preview;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStaticArtCriteriaDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void RemoveSelection(int artID);
	void UpdateSelections();
	void AddSelection(int artID);

	BYTE * m_tiledata;

	// Generated message map functions
	//{{AFX_MSG(CStaticArtCriteriaDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnStaticArtAdd();
	afx_msg void OnStaticArtRemove();
	afx_msg void OnSelchangeArtlist();
	afx_msg void OnSelchangeSelectartlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICARTCRITERIADLG_H__AE1CB8B8_9540_44DF_AC00_D5641E05DEF4__INCLUDED_)
