/*
 $Id: UOMul.h,v 1.4 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// UOMul.h: interface for the CUOTileData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UOMUL_H__7EDF1852_6243_47EE_A59D_1F88109A5ECB__INCLUDED_)
#define AFX_UOMUL_H__7EDF1852_6243_47EE_A59D_1F88109A5ECB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma pack(push, muls, 1)

struct UOStaticIdx
{
	DWORD dwStart;
	DWORD dwLength;
	DWORD dwUnk;
};
typedef struct UOStaticIdx tUOStaticIdx;

struct UOStaticRec
{
	WORD wArtID;
	BYTE bX;
	BYTE bY;
	BYTE bZ;
	WORD wColor;
};
typedef struct UOStaticRec tUOStaticRec;

class CTileDataBlock
{
public: 
	DWORD m_dwFlags;
	BYTE m_weight;
	BYTE m_layer;
	DWORD m_dwUnknown6;
	DWORD m_dwAnim;
	WORD m_Unk14;
	BYTE m_height;
	char m_szName[20];
};

class CTileDataGroup
{
public:
	DWORD m_dwUnknown;
	CTileDataBlock m_aDataBlocks[32];
};

#pragma pack(pop, muls)
#endif // !defined(AFX_UOMUL_H__7EDF1852_6243_47EE_A59D_1F88109A5ECB__INCLUDED_)
