/*
 $Id: WOPEditDlg.cpp,v 1.4 2002/05/01 03:33:11 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

// WOPEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "drewsky.h"
#include "WOPEditDlg.h"
#include "RemoteConnection.h"
#include "SpawnMessageDlg.h"
#include "RemoteConsole.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWOPEditDlg dialog


CWOPEditDlg::CWOPEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWOPEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWOPEditDlg)
	m_cs1 = _T("");
	m_cs10 = _T("");
	m_cs11 = _T("");
	m_cs12 = _T("");
	m_cs13 = _T("");
	m_cs14 = _T("");
	m_cs15 = _T("");
	m_cs16 = _T("");
	m_cs17 = _T("");
	m_cs18 = _T("");
	m_cs19 = _T("");
	m_cs2 = _T("");
	m_cs20 = _T("");
	m_cs21 = _T("");
	m_cs22 = _T("");
	m_cs23 = _T("");
	m_cs24 = _T("");
	m_cs25 = _T("");
	m_cs26 = _T("");
	m_cs3 = _T("");
	m_cs4 = _T("");
	m_cs5 = _T("");
	m_cs6 = _T("");
	m_cs7 = _T("");
	m_cs8 = _T("");
	m_cs9 = _T("");
	//}}AFX_DATA_INIT
}


void CWOPEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWOPEditDlg)
	DDX_Text(pDX, IDC_WOP1, m_cs1);
	DDX_Text(pDX, IDC_WOP10, m_cs10);
	DDX_Text(pDX, IDC_WOP11, m_cs11);
	DDX_Text(pDX, IDC_WOP12, m_cs12);
	DDX_Text(pDX, IDC_WOP13, m_cs13);
	DDX_Text(pDX, IDC_WOP14, m_cs14);
	DDX_Text(pDX, IDC_WOP15, m_cs15);
	DDX_Text(pDX, IDC_WOP16, m_cs16);
	DDX_Text(pDX, IDC_WOP17, m_cs17);
	DDX_Text(pDX, IDC_WOP18, m_cs18);
	DDX_Text(pDX, IDC_WOP19, m_cs19);
	DDX_Text(pDX, IDC_WOP2, m_cs2);
	DDX_Text(pDX, IDC_WOP20, m_cs20);
	DDX_Text(pDX, IDC_WOP21, m_cs21);
	DDX_Text(pDX, IDC_WOP22, m_cs22);
	DDX_Text(pDX, IDC_WOP23, m_cs23);
	DDX_Text(pDX, IDC_WOP24, m_cs24);
	DDX_Text(pDX, IDC_WOP25, m_cs25);
	DDX_Text(pDX, IDC_WOP26, m_cs26);
	DDX_Text(pDX, IDC_WOP3, m_cs3);
	DDX_Text(pDX, IDC_WOP4, m_cs4);
	DDX_Text(pDX, IDC_WOP5, m_cs5);
	DDX_Text(pDX, IDC_WOP6, m_cs6);
	DDX_Text(pDX, IDC_WOP7, m_cs7);
	DDX_Text(pDX, IDC_WOP8, m_cs8);
	DDX_Text(pDX, IDC_WOP9, m_cs9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWOPEditDlg, CDialog)
	//{{AFX_MSG_MAP(CWOPEditDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWOPEditDlg message handlers

BOOL CWOPEditDlg::OnInitDialog() 
{
	CWaitCursor hourglass;
	CDialog::OnInitDialog();

	Main->m_pScripts->LoadTables();

	for ( int i = 0; i < Main->m_pScripts->m_tables.m_runes.GetSize(); i++ )
	{
		CString csRune = Main->m_pScripts->m_tables.m_runes.GetAt(i);
		switch(i + 1)
		{
		case 1:
			m_cs1 = csRune; break;
		case 2:
			m_cs2 = csRune; break;
		case 3:
			m_cs3 = csRune; break;
		case 4:
			m_cs4 = csRune; break;
		case 5:
			m_cs5 = csRune; break;
		case 6:
			m_cs6 = csRune; break;
		case 7:
			m_cs7 = csRune; break;
		case 8:
			m_cs8 = csRune; break;
		case 9:
			m_cs9 = csRune; break;
		case 10:
			m_cs10 = csRune; break;
		case 11:
			m_cs11 = csRune; break;
		case 12:
			m_cs12 = csRune; break;
		case 13:
			m_cs13 = csRune; break;
		case 14:
			m_cs14 = csRune; break;
		case 15:
			m_cs15 = csRune; break;
		case 16:
			m_cs16 = csRune; break;
		case 17:
			m_cs17 = csRune; break;
		case 18:
			m_cs18 = csRune; break;
		case 19:
			m_cs19 = csRune; break;
		case 20:
			m_cs20 = csRune; break;
		case 21:
			m_cs21 = csRune; break;
		case 22:
			m_cs22 = csRune; break;
		case 23:
			m_cs23 = csRune; break;
		case 24:
			m_cs24 = csRune; break;
		case 25:
			m_cs25 = csRune; break;
		case 26:
			m_cs26 = csRune; break;
		default: break;
		}
	}
	
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CWOPEditDlg::OnOK() 
{
	CWaitCursor hourglass;
	Main->m_pScripts->m_tables.m_runes.RemoveAll();
	for (int i = 1; i < 27; i++)
	{
		CString csRune = "";
		switch(i)
		{
		case 1:
			csRune = m_cs1; break;
		case 2:
			csRune = m_cs2; break;
		case 3:
			csRune = m_cs3; break;
		case 4:
			csRune = m_cs4; break;
		case 5:
			csRune = m_cs5; break;
		case 6:
			csRune = m_cs6; break;
		case 7:
			csRune = m_cs7; break;
		case 8:
			csRune = m_cs8; break;
		case 9:
			csRune = m_cs9; break;
		case 10:
			csRune = m_cs10; break;
		case 11:
			csRune = m_cs11; break;
		case 12:
			csRune = m_cs12; break;
		case 13:
			csRune = m_cs13; break;
		case 14:
			csRune = m_cs14; break;
		case 15:
			csRune = m_cs15; break;
		case 16:
			csRune = m_cs16; break;
		case 17:
			csRune = m_cs17; break;
		case 18:
			csRune = m_cs18; break;
		case 19:
			csRune = m_cs19; break;
		case 20:
			csRune = m_cs20; break;
		case 21:
			csRune = m_cs21; break;
		case 22:
			csRune = m_cs22; break;
		case 23:
			csRune = m_cs23; break;
		case 24:
			csRune = m_cs24; break;
		case 25:
			csRune = m_cs25; break;
		case 26:
			csRune = m_cs26; break;
		}
		Main->m_pScripts->m_tables.m_runes.SetAtGrow(i - 1, csRune);
	}
	if ( Main->m_pScripts->m_tables.Write() )
		CDialog::OnOK();

}
