/*
 $Id: itemtweaktab.h,v 1.4 2002/11/17 04:25:27 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_ITEMTWEAKTAB_H__DFB29CF6_D431_11D2_A613_004F4905E937__INCLUDED_)
#define AFX_ITEMTWEAKTAB_H__DFB29CF6_D431_11D2_A613_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ItemTweakTab.h : header file



/////////////////////////////////////////////////////////////////////////////
// CItemTweakTab dialog

class CItemTweakTab : public CPropertyPage
{
	DECLARE_DYNCREATE(CItemTweakTab)

// Construction
public:
	CString m_csQSTag;
	CItemTweakTab();
	~CItemTweakTab();

// Dialog Data
	//{{AFX_DATA(CItemTweakTab)
	enum { IDD = IDD_ITEM_TWEAK_TAB };
	CButton	m_cbPalette;
	CStatic	m_csSpectrum;
	CEdit	m_ceQSValue;
	CEdit	m_ceItemName;
	CStatic	m_csTypeValue;
	CComboBox	m_ccItemTypes;
	CStatic	m_csAttrValue;
	BOOL	m_bIdentified;
	BOOL	m_bDecay;
	BOOL	m_bNewbie;
	BOOL	m_bAlwaysMoveable;
	BOOL	m_bNeverMoveable;
	BOOL	m_bMagic;
	BOOL	m_bOwnedByTown;
	BOOL	m_bInvisible;
	BOOL	m_bStatic;
	BOOL	m_bBlessed;
	BOOL	m_bBlessed2;
	BOOL	m_bCanDecay;
	BOOL	m_bCursed;
	BOOL	m_bCursed2;
	BOOL	m_bForSale;
	BOOL	m_bStolen;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CItemTweakTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hPaletteIcon;
	WORD m_wColorIndex;
	// Generated message map functions
	//{{AFX_MSG(CItemTweakTab)
	afx_msg void OnResetAttr();
	afx_msg void OnSetattr();
	afx_msg void OnIdentified();
	afx_msg void OnDecay();
	afx_msg void OnNewbie();
	afx_msg void OnAlwaysmoveable();
	afx_msg void OnNevermoveable();
	afx_msg void OnMagic();
	afx_msg void OnOwnedbytown();
	afx_msg void OnInvisible();
	afx_msg void OnBstatic();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTypes();
	afx_msg void OnSettype();
	afx_msg void OnSetname();
	afx_msg void OnNudgeup();
	afx_msg void OnNudgedown();
	afx_msg void OnQsamount();
	afx_msg void OnQscolor();
	afx_msg void OnQsmore();
	afx_msg void OnQsmore2();
	afx_msg void OnQsmorep();
	afx_msg void OnQsmorex();
	afx_msg void OnQsmorey();
	afx_msg void OnQsmorez();
	afx_msg void OnQsset();
	afx_msg void OnItemcolor();
	afx_msg void OnItpalette();
	afx_msg void OnBcursed();
	afx_msg void OnBblessed();
	afx_msg void OnBblessed2();
	afx_msg void OnBcandecay();
	afx_msg void OnBcursed2();
	afx_msg void OnBforsale();
	afx_msg void OnBstolen();
	afx_msg void OnSpellbook();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ITEMTWEAKTAB_H__DFB29CF6_D431_11D2_A613_004F4905E937__INCLUDED_)
