/*
 $Id: weighteditemdlg.h,v 1.3 2002/05/01 03:33:12 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

#if !defined(AFX_WEIGHTEDITEMDLG_H__D641A8B6_E95A_11D2_A61F_004F4905E937__INCLUDED_)
#define AFX_WEIGHTEDITEMDLG_H__D641A8B6_E95A_11D2_A61F_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WeightedItemDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWeightedItemDlg dialog

class CWeightedItemDlg : public CDialog
{
// Construction
public:
	CString m_csWeightString;
	CWeightedItemDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CWeightedItemDlg)
	enum { IDD = IDD_WEIGHTED_ITEM_DLG };
	CListCtrl	m_clcList;
	CComboBox	m_ccbItems;
	CEdit	m_ceWeight;
	CButton	m_cbAdd;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWeightedItemDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWeightedItemDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnAddweighteditem();
	afx_msg void OnKeydownWeightedlist(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void FillItems();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WEIGHTEDITEMDLG_H__D641A8B6_E95A_11D2_A61F_004F4905E937__INCLUDED_)
