/*
 $Id: worldmapdlg.h,v 1.5 2002/11/14 21:09:29 pesterle Exp $

 **********************************************************************
 * Copyright (C) Philip A. Esterle 1998-2002
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 **********************************************************************

*/

//{{AFX_INCLUDES()
#include "uomap.h"
//}}AFX_INCLUDES
#if !defined(AFX_WORLDMAPDLG_H__CB3D6862_EC32_11D2_A620_004F4905E937__INCLUDED_)
#define AFX_WORLDMAPDLG_H__CB3D6862_EC32_11D2_A620_004F4905E937__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WorldMapDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWorldMapDlg dialog

class CWorldMapDlg : public CDialog
{
// Construction
public:
	CWnd * m_pParent;
	~CWorldMapDlg();
	CWorldMapDlg(CWnd* pParent = NULL);   // standard constructor
	CStringArray m_csaSpawns;
	void AddSpawns();


// Dialog Data
	//{{AFX_DATA(CWorldMapDlg)
	enum { IDD = IDD_WORLDMAP };
	CUOMap	m_WorldMap;
	CUOMap	m_Ilshenar;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWorldMapDlg)
	public:
	virtual BOOL Create(UINT IDD, CWnd* pParentWnd);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWorldMapDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnMouseDownWorldmap(short Button, short Shift, long x, long y);
	afx_msg void OnMouseDownIlshenar(short Button, short Shift, long x, long y);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WORLDMAPDLG_H__CB3D6862_EC32_11D2_A620_004F4905E937__INCLUDED_)
